/*
 *
 *  ߥˡ˥塼꡼
 *
 *  Copyright 1991-2001 Matsushita Soft-Research, INC. A.Takuma
 *
 *  System      : Mini News Reader
 *  Sub system  : BOARD support define
 *  File        : board.h
 *  Version     : 1.22
 *  First Edit  : 1992-10/05
 *  Last  Edit  : 2001-02/05
 *  Author      : MSRS3  
 *
 */

#define	BOARD_MAX_GROUP_NAME	128
#define	BOARD_ALLOC_COUNT	8
#define	BOARD_JN_DOMAIN		"boardgroupname"

/*
 * 롼ץѥ졼
 */

#define	BOARD_GROUP_SEPARATOR	'/'

/*
 * ܡɥȥե
 */

#ifdef	BOARD_COUNT
#if	defined(MSDOS) && !defined(USE_LONG_FNAME)
#define	BOARD_COUNT_FILE	"_count"
#else	/* !MSDOS || USE_LONG_FNAME */
#define	BOARD_COUNT_FILE	".count"
#endif	/* !MSDOS || USE_LONG_FNAME */
#endif	/* BOARD_COUNT */

/*
 * 롼ץꥹ
 */

struct board_group {
  char		group_name[BOARD_MAX_GROUP_NAME];	/* 롼̾	*/
  long		max_article;				/* 絭ֹ	*/
  long		min_article;				/* Ǿֹ	*/
  long		unread_article;				/* ̤ɵ	*/
  short		unsubscribe;				/* ɥ⡼	*/
  MARK_LIST	*mark_ptr;
};

extern short	board_mode;		/* BOARD ⡼ɥե饰		*/
extern short	board_count_mode;	/* BOARD ȥե饰	*/
extern char	board_spool[];		/* BOARD סѥ		*/
extern char	board_mark_file[];	/* BOARD ޡե		*/
extern short	board_max_article;	/* BOARD 絭(0̵)	*/

#ifdef	__STDC__
int		board_init(long*);	/* BOARD ⡼ɽ		*/
int		board_menu(void);	/* BOARD ˥塼		*/
int		board_prev_unread_group(int);
					/* BOARD ̤ɥ롼׼	*/
int		board_next_unread_group(int);
					/* BOARD ̤ɥ롼׼	*/
#else	/* !__STDC__ */
int		board_init();		/* BOARD ⡼ɽ		*/
int		board_menu();		/* BOARD ˥塼		*/
int		board_prev_unread_group();
					/* BOARD ̤ɥ롼׼	*/
int		board_next_unread_group();
					/* BOARD ̤ɥ롼׼	*/
#endif	/* !__STDC__ */
